Bug 1748417 - python-kombu: nothing provides python3.7dist(amqp) >= 2.5.1 needed by python3-kombu-1:4.6.4-1.fc31.noarch
Summary: python-kombu: nothing provides python3.7dist(amqp) >= 2.5.1 needed by python3...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-kombu
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-03 14:32 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2019-09-14 16:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 16:34:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2019-09-03 14:32:36 UTC
Description of problem:
 Problem 1: cannot install the best update candidate for package python3-kombu-1:4.2.2-2.fc30.noarch
  - nothing provides python3.7dist(amqp) >= 2.5.1 needed by python3-kombu-1:4.6.4-1.fc31.noarch

This obviously causes problems during upgrades to F31.

Comment 1 Matt Prahl 2019-09-05 15:26:42 UTC
I ran into this issue as well.

Comment 2 Matthias Runge 2019-09-09 07:08:16 UTC
Thank you, and sorry you ran into this. Unfortunately, it is a known issue, where a packager pushed an update
requiring python-amqp > 2.5.0 without checking if that is really available.


I'll see what I can do to help their maintainer to update amqp from 2.5.0 to 2.5.1.

Comment 3 Fedora Update System 2019-09-09 07:10:05 UTC
FEDORA-2019-82a6f187e0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-82a6f187e0

Comment 4 Fedora Update System 2019-09-09 23:15:56 UTC
python-amqp-2.5.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-82a6f187e0

Comment 5 Fedora Update System 2019-09-14 16:34:16 UTC
python-amqp-2.5.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.